echo '###### BOUML line command support installation #####'
# is the current SHELL bash of not
set SHELL_IS_BASH=`echo $SHELL | grep bash | wc -l`
#
if ( $?BOUML_DIR_IS_CORRECT ) unset BOUML_DIR_IS_CORRECT
test -r cl_Install.csh && set BOUML_DIR_IS_CORRECT=1
if ( $?BOUML_DIR_IS_CORRECT ) then
	unset BOUML_DIR_IS_CORRECT
	set userID=`id -u`
	if ( $userID ) then
		set ROOT_DIR=$HOME
		set SHORTEST_PATH=$HOME
		if ( $SHELL_IS_BASH ) then
			set configFile=$HOME/.bash_login
		else
			set configFile=$HOME/.tcshrc
		endif
	else
		echo 'Administrator : system-wide installation'
		test -r /etc/bouml && rm -R /etc/bouml
	    mkdir /etc/bouml
		set ROOT_DIR=/etc/bouml
		set SHORTEST_PATH=''
		if ( $SHELL_IS_BASH ) then
			set configFile=/etc/bashrc
		else
			set configFile=/etc/csh.login
		endif
	endif
	cd ..
	set BOUML_DIR=`pwd`
	set BOUML_BIN=$BOUML_DIR/.bin
	echo '######################################################################' > $ROOT_DIR/bouml_init.csh
	echo '# bouml command line initializations :                               #' >> $ROOT_DIR/bouml_init.csh
	echo '# ====================================                               #' >> $ROOT_DIR/bouml_init.csh
	echo '# This file is supposed to be located in you HOME directory          #' >> $ROOT_DIR/bouml_init.csh
	echo '#                                                                    #' >> $ROOT_DIR/bouml_init.csh
	echo '# To activate bouml command line support, put the following command  #' >> $ROOT_DIR/bouml_init.csh
	echo '# in you login file (.tcshrc, .login... according to the shell you   #' >> $ROOT_DIR/bouml_init.csh
	echo '# are using) :                                                       #' >> $ROOT_DIR/bouml_init.csh
	echo '#                                                                    #' >> $ROOT_DIR/bouml_init.csh
	echo '#    test -r $HOME/bouml_init.csh && source $HOME/bouml_init.csh     #' >> $ROOT_DIR/bouml_init.csh
	echo '#                                                                    #' >> $ROOT_DIR/bouml_init.csh
	echo '# NB. This is not necessary in case of a system-wide installation    #' >> $ROOT_DIR/bouml_init.csh
	echo '#                                                                    #' >> $ROOT_DIR/bouml_init.csh
	echo '######################################################################' >> $ROOT_DIR/bouml_init.csh
	echo '# CAUTION :                                                          #' >> $ROOT_DIR/bouml_init.csh
	echo '# This file was automatically generated by the script cl_install.csh #' >> $ROOT_DIR/bouml_init.csh
	echo '# located in the bouml application directory : DO NOT MODIFY         #' >> $ROOT_DIR/bouml_init.csh
	echo '#                                                                    #' >> $ROOT_DIR/bouml_init.csh
	echo '# If your administrator changes the location of the bouml            #' >> $ROOT_DIR/bouml_init.csh
	echo '# application, you HAVE TO re-run the script cl_install.csh          #' >> $ROOT_DIR/bouml_init.csh
	echo '# in order to rebuild a correct bouml_init.csh file                  #' >> $ROOT_DIR/bouml_init.csh
	echo '######################################################################' >> $ROOT_DIR/bouml_init.csh

	if ( $SHELL_IS_BASH ) then
		echo 'if test -z "$BOUML_DIR"; then' >> $ROOT_DIR/bouml_init.csh
		echo 'BOUML_DIR='${BOUML_DIR} >> $ROOT_DIR/bouml_init.csh
		echo 'export BOUML_DIR' >> $ROOT_DIR/bouml_init.csh
		echo 'if test -r ~/Library/Application\ Support/bouml/bouml.sh; then source ~/Library/Application\ Support/bouml/bouml.sh; fi' >> $ROOT_DIR/bouml_init.csh
	else
		echo 'if ( !($?BOUML_DIR) ) then' >> $ROOT_DIR/bouml_init.csh
		echo setenv BOUML_DIR $BOUML_DIR  >> $ROOT_DIR/bouml_init.csh
		echo 'test -r ~/Library/Application\ Support/bouml/bouml.csh && source ~/Library/Application\ Support/bouml/bouml.csh' >> $ROOT_DIR/bouml_init.csh
	endif
	test -h $SHORTEST_PATH/.boumlb && rm $SHORTEST_PATH/.boumlb
	ln -s $BOUML_BIN $SHORTEST_PATH/.boumlb
	if ( $SHELL_IS_BASH ) then
		echo 'BOUML_PATH='${SHORTEST_PATH}'/.boumlb' >> $ROOT_DIR/bouml_init.csh
		echo 'for dir in `ls -d '${SHORTEST_PATH}'/.boumlb/*.app`; do' >> $ROOT_DIR/bouml_init.csh
		echo '	BOUML_PATH=${BOUML_PATH}\:${dir}/Contents/MacOS;' >> $ROOT_DIR/bouml_init.csh
		echo 'done' >> $ROOT_DIR/bouml_init.csh
		echo 'if test -n "$PATH"; then' >> $ROOT_DIR/bouml_init.csh
		echo '	PATH=${BOUML_PATH}:${PATH};' >> $ROOT_DIR/bouml_init.csh
		echo 'else' >> $ROOT_DIR/bouml_init.csh
		echo '	PATH=${BOUML_PATH};' >> $ROOT_DIR/bouml_init.csh
		echo 'fi' >> $ROOT_DIR/bouml_init.csh
		echo 'if test -n "$DYLD_LIBRARY_PATH"; then' >> $ROOT_DIR/bouml_init.csh
		echo '	DYLD_LIBRARY_PATH=${BOUML_DIR}/.lib/qtlib:$DYLD_LIBRARY_PATH;' >> $ROOT_DIR/bouml_init.csh
		echo 'else' >> $ROOT_DIR/bouml_init.csh
		echo '	DYLD_LIBRARY_PATH=${BOUML_DIR}/.lib/qtlib:/usr/lib;' >> $ROOT_DIR/bouml_init.csh
		echo 'fi' >> $ROOT_DIR/bouml_init.csh
		echo 'alias bouml='${SHORTEST_PATH}'/.boumlb/bouml.app/Contents/MacOS/bouml' >> $ROOT_DIR/bouml_init.csh
		echo 'alias projectControl='${SHORTEST_PATH}'/.boumlb/projectControl.app/Contents/MacOS/projectControl' >> $ROOT_DIR/bouml_init.csh
		echo 'alias projectSynchro='${SHORTEST_PATH}'/.boumlb/projectSynchro.app/Contents/MacOS/projectSynchro' >> $ROOT_DIR/bouml_init.csh
		echo 'unset BOUML_PATH;' >> $ROOT_DIR/bouml_init.csh
		echo 'fi' >> $ROOT_DIR/bouml_init.csh
	else
		echo set BOUML_PATH=$SHORTEST_PATH/.boumlb >> $ROOT_DIR/bouml_init.csh
		echo 'foreach dir ('$SHORTEST_PATH'/.boumlb/*.app)' >> $ROOT_DIR/bouml_init.csh
			echo 'set BOUML_PATH=$BOUML_PATH\:$dir/Contents/MacOS' >> $ROOT_DIR/bouml_init.csh
		echo 'end'  >> $ROOT_DIR/bouml_init.csh
		echo 'if ( $?PATH ) then' >> $ROOT_DIR/bouml_init.csh
		echo '	setenv PATH $BOUML_PATH\:$PATH' >> $ROOT_DIR/bouml_init.csh
		echo 'else' >> $ROOT_DIR/bouml_init.csh
		echo '	setenv PATH $BOUML_PATH' >> $ROOT_DIR/bouml_init.csh
		echo 'endif' >> $ROOT_DIR/bouml_init.csh
		echo 'if ( $?DYLD_LIBRARY_PATH ) then' >> $ROOT_DIR/bouml_init.csh
		echo '	setenv DYLD_LIBRARY_PATH $BOUML_DIR/.lib/qtlib\:$DYLD_LIBRARY_PATH' >> $ROOT_DIR/bouml_init.csh
		echo 'else' >> $ROOT_DIR/bouml_init.csh
		echo '	setenv DYLD_LIBRARY_PATH $BOUML_DIR/.lib/qtlib:/usr/lib' >> $ROOT_DIR/bouml_init.csh
		echo 'endif' >> $ROOT_DIR/bouml_init.csh
		echo alias bouml $SHORTEST_PATH/.boumlb/bouml.app/Contents/MacOS/bouml >> $ROOT_DIR/bouml_init.csh
		echo alias projectControl $SHORTEST_PATH/.boumlb/projectControl.app/Contents/MacOS/projectControl >> $ROOT_DIR/bouml_init.csh
		echo alias projectSynchro $SHORTEST_PATH/.boumlb/projectSynchro.app/Contents/MacOS/projectSynchro >> $ROOT_DIR/bouml_init.csh
		echo 'unset BOUML_PATH' >> $ROOT_DIR/bouml_init.csh
		echo 'endif' >> $ROOT_DIR/bouml_init.csh
	endif
	chmod 755 $ROOT_DIR/bouml_init.csh
	set ALREADYDONE=`cat $configFile | grep bouml_init | wc -l`
	if( !($ALREADYDONE) ) then
		echo ' ' >> $configFile
		echo '############ bouml_init: Command line initialization ############' >> $configFile
	    echo test -r $ROOT_DIR/bouml_init.csh '&&' source $ROOT_DIR/bouml_init.csh >> $configFile
		echo '######## bouml_init: end of Command line initialization #########' >> $configFile
	endif
	if ( $SHELL_IS_BASH ) then
		echo 'For versions prior to 4.3.2 only : '
		echo '   UPDATE the file $HOME/~/Library/Application Support/bouml/bouml.sh'
		echo 'For versions newer or equal to 4.3.2: nothing more to be done.'
	endif
	cd CommandLineSupport
else
	echo 'Please run installation script from its own directory'
	echo '(bouml/CommandLineSupport).'
	echo 'Aborting.'
endif
exit 0
